Agent Invocations
Create an agent invocation
Creates an invocation for the specified agent version.
Yol parametreleri
agent_name
string
gerekli
The name of the agent.
Sorgu parametreleri
agent_session_id
string
Optional session ID returned by the session CRUD APIs to reuse an existing sandbox. If not provided, a new session ID will be auto-generated.
api-version
string
gerekli
The API version to use for this operation.
Üst bilgi parametreleri
x-ms-user-identity
string
Opaque per-user identity string used to scope endpoint-scoped data to a specific end user. The caller must have the agents/endpoints/UserIdentityImpersonation/action RBAC permission.
İstek Gövdesi
The request body.
Yanıtlar
The request has succeeded.
Üst Bilgiler
x-agent-invocation-id
string
gerekli
Unique identifier for this invocation.
x-agent-session-id
string
gerekli
Session ID for this invocation. Returns the provided session ID or an auto-generated one if not provided in the request.
Gövde
İstek
POST /agents/{agent_name}/endpoint/protocols/invocations HTTP/1.1
Response
Status: 200
Content-Type: */*
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json